package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.BisAcciAssess;

/**
 * 事故考核 数据层
 */
@Mapper
public interface BisAcciAssessMapper {

    /**
     * 查询事故考核信息
     * @param id 查询条件
     * @return 事故考核信息
     */
    BisAcciAssess selectBisAcciAssessById(Long id);

    /**
     * 查询事故考核列表
     * @param bisAcciAssess 事故考核查询条件
     * @return 事故考核集合
     */
    List<BisAcciAssess> selectBisAcciAssessList(BisAcciAssess bisAcciAssess);

    /**
     * 新增事故考核
     * @param bisAcciAssess 事故考核信息
     * @return 影响行数
     */
    int insertBisAcciAssess(BisAcciAssess bisAcciAssess);

    /**
     * 修改事故考核
     * @param bisAcciAssess 事故考核信息
     * @return 影响行数
     */
    int updateBisAcciAssess(BisAcciAssess bisAcciAssess);

    /**
     * 删除事故考核
     * @param id 事故考核主键
     * @return 影响行数
     */
    int deleteBisAcciAssessById(Long id);

    /**
     * 批量删除事故考核
     * @param ids 事故考核主键数组
     * @return 影响行数
     */
    int deleteBisAcciAssessByIds(Long[] ids);
}
